> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clarionhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sequence Definition

> Returns a specific sequence definition by ID.



## OpenAPI

````yaml GET /sequence-manager/sequence-definitions/{id}
openapi: 3.0.1
info:
  title: Clarion API
  description: >-
    Clarion's public facing API. For more information, please visit
    https://docs.clarionhealth.com
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.clarionhealth.com/v1
security:
  - bearerAuth: []
paths:
  /sequence-manager/sequence-definitions/{id}:
    get:
      description: Returns a specific sequence definition by ID.
      parameters:
        - name: id
          in: path
          description: The sequence definition ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Sequence definition
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SequenceDefinitionSummary'
        '404':
          description: Sequence definition not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  schemas:
    SequenceDefinitionSummary:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the sequence definition
        name:
          type: string
          description: Name of the sequence definition
        inputs_definition:
          type: array
          description: Input field definitions for this sequence
          items:
            type: object
            properties:
              id:
                type: string
                description: Unique identifier for this input field
              type:
                type: string
                description: Type of the input value
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````